- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders/patch#try-it)

Updates an existing guaranteed order. Returns the updated guaranteed order if successful.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v4/guaranteedOrders/{guaranteedOrder.guaranteedOrderId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `guaranteedOrder.guaranteedOrderId` | `string` Output only. The unique identifier of the guaranteed order. The guaranteed order IDs have the format `{exchange}-{legacyGuaranteedOrderId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| Required. Identifies which DV360 entity the request is being made within. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that the request is being made within. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that the request is being made within. |
| End of mutually exclusive fields. ||

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders#GuaranteedOrder`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/guaranteedOrders#GuaranteedOrder`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).